#!/bin/sh

PATH=/opt/color-control/prodtest:/opt/victronenergy/prodtest:$PATH

# make sure the mk2 is programmed to the correct version
mk2selftest --no-tests -s $(head /etc/venus/mkx_port) -vv -i

# if is unclear at the moment how this can happen, but it is possible to
# get into a situation where the files in /opt/color-control/mk2 are still
# there, but don't belong to any packages and hence are never deinstalled.
# It does cause problems though, so remove the files if still present after
# an update.
if [ -d /opt/color-control/mk2 ]; then
	rm -rf /opt/color-control/mk2
fi
